Name:        djehuty
Version:     25.1
Release:     1%{?dist}
Summary:     Data repository system by 4TU.ResearchData and Nikhef
Source0:     %{name}-%{version}.tar.gz
License:     AGPL-3.0-or-later
Group:       System Environment/Daemons
BuildRoot:   %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:   noarch
Vendor:      Roel Janssen <r.r.e.janssen@tudelft.nl>
Url:         https://github.com/4TUResearchData/djehuty
BuildRequires: systemd-rpm-macros
# RHEL8 defaults to Python 3.6
%if 0%{?rhel} == 8
%global python3_pkgversion 39
%else
# Only RHEL8 does not have a package for the 'build' module.
BuildRequires: python%{python3_pkgversion}-build
%endif
BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-setuptools
BuildRequires: python%{python3_pkgversion}-pip
%if 0%{?fedora} >= 40
BuildRequires: texlive-libertine
%else
BuildRequires: python%{python3_pkgversion}-setuptools-wheel
BuildRequires: python%{python3_pkgversion}-pip-wheel
%endif
BuildRequires: texlive
BuildRequires: texlive-tex4ht
BuildRequires: texlive-appendix
BuildRequires: texlive-titlesec
BuildRequires: texlive-float
BuildRequires: make
Requires: git
Requires: python%{python3_pkgversion}-requests
Requires: python%{python3_pkgversion}-jinja2
Requires: python%{python3_pkgversion}-rdflib
Requires: python%{python3_pkgversion}-pygit2
Requires: python%{python3_pkgversion}-urllib3
Requires: python%{python3_pkgversion}-werkzeug
Requires: python%{python3_pkgversion}-defusedxml
Requires: python%{python3_pkgversion}-pillow

%undefine __brp_mangle_shebangs

%description
This package provides the data repository system by
4TU.ResearchData and Nikhef.

%prep
%autosetup -p1 -n %{name}-%{version}
# RHEL8 does not provide the 'build' module for Python.  Fortunately, it's
# only required on build-time, not run-time, so we take a shortcut here.
%if 0%{?rhel} == 8
pip3.9 install build
%endif

%build
%{configure}
make


%install
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_unitdir}
cp etc/%{name}.service %{buildroot}%{_unitdir}/
mkdir -p %{buildroot}/etc/%{name}
cp etc/%{name}/djehuty-example-config.xml %{buildroot}/etc/%{name}/

%clean
rm -rf %{buildroot}

%files
%license LICENSE
%defattr(-,root,root)
%doc README.md
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-25.1*
%{_unitdir}/%{name}.service
/etc/%{name}/djehuty-example-config.xml
/usr/bin/djehuty
/usr/share/djehuty/djehuty.css
/usr/share/djehuty/djehuty.pdf
/usr/share/djehuty/djehuty2.html
/usr/share/djehuty/djehuty3.html
/usr/share/djehuty/djehuty4.html
/usr/share/djehuty/djehuty5.html
/usr/share/djehuty/djehuty6.html
/usr/share/djehuty/djehuty7.html
/usr/share/djehuty/figures/account-.png
/usr/share/djehuty/figures/author-.png
/usr/share/djehuty/figures/category-.png
/usr/share/djehuty/figures/collection-.png
/usr/share/djehuty/figures/collection-container-.png
/usr/share/djehuty/figures/dataset-.png
/usr/share/djehuty/figures/dataset-container-.png
/usr/share/djehuty/figures/favicon.png
/usr/share/djehuty/figures/file-.png
/usr/share/djehuty/figures/funding-.png
/usr/share/djehuty/figures/institutiongroup-.png
/usr/share/djehuty/figures/privatelink-.png
/usr/share/djehuty/figures/rdf-list-abbrev-.png
/usr/share/djehuty/figures/references-graph-.png
/usr/share/djehuty/figures/typed-literals-notation-.png
/usr/share/djehuty/figures/typed-notation-.png
/usr/share/djehuty/fonts/FiraMono-Regular.ttf
/usr/share/djehuty/fonts/SourceSansPro-Bold.ttf
/usr/share/djehuty/fonts/SourceSansPro-Italic.ttf
/usr/share/djehuty/fonts/SourceSansPro-Regular.ttf
/usr/share/djehuty/index.html

%post
%systemd_post djehuty.service

%preun
%systemd_preun djehuty.service

%postun
%systemd_postun_with_restart djehuty.service

%changelog
* Fri Jan 31 2025 Roel Janssen <r.r.e.janssen@tudelft.nl>
- Initial RPM creation.
- See https://djehuty.4tu.nl/#news-section for the full release notes.
